---
title: Logger
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     internal/log/docs.md
-->

Benthos logging prints to stdout (or stderr if your output is stdout) and is formatted as [logfmt](https://brandur.org/logfmt) by default. Use these configuration options to change both the logging formats as well as the destination of logs.

import Tabs from '@theme/Tabs';

<Tabs defaultValue="stdoutlogfmt" values={[
  { label: 'Logfmt to Stdout', value: 'stdoutlogfmt', },
  { label: 'JSON to File', value: 'filejson', },
]}>

import TabItem from '@theme/TabItem';

<TabItem value="stdoutlogfmt">

```yaml
logger:
  level: INFO
  format: logfmt
  add_timestamp: false
  static_fields:
    '@service': benthos
```

</TabItem>
<TabItem value="filejson">

```yaml
logger:
  level: WARN
  format: json
  file:
    path: ./logs/benthos.ndjson
    rotate: true
```

</TabItem>

</Tabs>

## Fields

### `level`

Set the minimum severity level for emitting logs.


Type: `string`  
Default: `&#34;INFO&#34;`  
Options: `OFF`, `FATAL`, `ERROR`, `WARN`, `INFO`, `DEBUG`, `TRACE`, `ALL`, `NONE`.

### `format`

Set the format of emitted logs.


Type: `string`  
Default: `&#34;logfmt&#34;`  
Options: `json`, `logfmt`.

### `add_timestamp`

Whether to include timestamps in logs.


Type: `bool`  
Default: `false`  

### `static_fields`

A map of key/value pairs to add to each structured log.


Type: map of `string`  
Default: `{&#34;@service&#34;:&#34;benthos&#34;}`  

### `file`

Experimental: Specify fields for optionally writing logs to a file.


Type: `object`  

### `file.path`

The file path to write logs to, if the file does not exist it will be created. Leave this field empty or unset to disable file based logging.


Type: `string`  
Default: `&#34;&#34;`  

### `file.rotate`

Whether to rotate log files automatically.


Type: `bool`  
Default: `false`  

### `file.rotate_max_age_days`

The maximum number of days to retain old log files based on the timestamp encoded in their filename, after which they are deleted. Setting to zero disables this mechanism.


Type: `int`  
Default: `0`  

