---
title: resource
type: output
status: stable
categories: ["Utility"]
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/output/resource.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

Resource is an output type that channels messages to a resource output, identified by its name.

```yml
# Config fields, showing default values
output:
  resource: ""
```

Resources allow you to tidy up deeply nested configs. For example, the config:

```yaml
output:
  broker:
    pattern: fan_out
    outputs:
    - kafka:
        addresses: [ TODO ]
        topic: foo
    - gcp_pubsub:
        project: bar
        topic: baz
```

Could also be expressed as:

```yaml
output:
  broker:
    pattern: fan_out
    outputs:
    - resource: foo
    - resource: bar

output_resources:
  - label: foo
    kafka:
      addresses: [ TODO ]
      topic: foo

  - label: bar
    gcp_pubsub:
      project: bar
      topic: baz
 ```

You can find out more about resources [in this document.](/docs/configuration/resources)


