---
title: subprocess
type: output
status: beta
categories: ["Utility"]
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/output/subprocess.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

:::caution BETA
This component is mostly stable but breaking changes could still be made outside of major version releases if a fundamental problem with the component is found.
:::

Executes a command, runs it as a subprocess, and writes messages to it over stdin.

```yml
# Config fields, showing default values
output:
  label: ""
  subprocess:
    name: ""
    args: []
    codec: lines
```

Messages are written according to a specified codec. The process is expected to terminate gracefully when stdin is closed.

If the subprocess exits unexpectedly then Benthos will log anything printed to stderr and will log the exit code, and will attempt to execute the command again until success.

The execution environment of the subprocess is the same as the Benthos instance, including environment variables and the current working directory.

## Fields

### `name`

The command to execute as a subprocess.


Type: `string`  
Default: `""`  

### `args`

A list of arguments to provide the command.


Type: `array`  
Default: `[]`  

### `codec`

The way in which messages should be written to the subprocess.


Type: `string`  
Default: `"lines"`  
Options: `lines`.


